Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.tagset
Class Tagset

    java.lang.Object
      ipipan.spejd.tagset.Tagset

    public class Tagset

extends java.lang.Object

A representation of corpora tagset. Provides information about possible attributes for different parts of speech, aliases for the attributes and possible attribute values.

Field Summary
`static java.lang.String` | `baseAttr`
`static java.lang.String` | `orthAttr`
`static java.lang.String` | `posAttr`
`static java.lang.String` | `tagDictFile`
`static java.lang.String` | `undefinedValue`

Constructor Summary
`Tagset(java.lang.String filename)` Creates a Tagset from a corpora config file.

Method Summary
`int` | `attrToInt(java.lang.String attr)`
`java.lang.String` | `charToValue(int attrId, char valueId)`
`java.lang.String` | `cToFtag(java.lang.String ctag)`
`java.lang.String[]` | `cToFtagArray(java.lang.String ctag)`
`java.lang.String` | `fToCtag(java.lang.String ftag)`
`java.lang.String` | `intToAttr(int attrId)`
`char` | `intToChar(int i)`
`java.lang.String` | `matchingValues(int attrId, java.lang.String regexp)`
`int` | `nOfAttributes()`
`void` | `printAttributes()`
`void` | `saveTagDictionary(java.lang.String logDir)`
`char` | `valueToChar(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### undefinedValue

    public static final java.lang.String undefinedValue

See Also:
  Constant Field Values

### orthAttr

    public static final java.lang.String orthAttr

See Also:
  Constant Field Values

### baseAttr

    public static final java.lang.String baseAttr

See Also:
  Constant Field Values

### posAttr

    public static final java.lang.String posAttr

See Also:
  Constant Field Values

### tagDictFile

    public static final java.lang.String tagDictFile

See Also:
  Constant Field Values

Constructor Detail

### Tagset

    public Tagset(java.lang.String filename)

  Creates a Tagset from a corpora config file.

Method Detail

### intToChar

    public char intToChar(int i)

### valueToChar

    public char valueToChar(java.lang.String value)

### attrToInt

    public int attrToInt(java.lang.String attr)

### intToAttr

    public java.lang.String intToAttr(int attrId)

### charToValue

    public java.lang.String charToValue(int attrId,
                                        char valueId)

### matchingValues

    public java.lang.String matchingValues(int attrId,
                                           java.lang.String regexp)

### nOfAttributes

    public int nOfAttributes()

### cToFtag

    public java.lang.String cToFtag(java.lang.String ctag)

### cToFtagArray

    public java.lang.String[] cToFtagArray(java.lang.String ctag)

### fToCtag

    public java.lang.String fToCtag(java.lang.String ftag)

### saveTagDictionary

    public void saveTagDictionary(java.lang.String logDir)

### printAttributes

    public void printAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD